#! /bin/bash

# Borg zenity install and update
which zenity
if [ "$?" != "0" ]; then
    bash testdistro.sh || exit
fi

which borg
if [ "$?" != "0" ]; then
    bash testdistro.sh || exit
fi

# Copie des fichiers
sudo mkdir -vp /opt/borg-zenity
sudo cp -fv icons/borg.svg /usr/share/icons/
sudo cp -fv icons/borgzenity-profils.svg /usr/share/icons/
sudo cp -fv icons/borgzenity-sauvegarde.svg /usr/share/icons/
sudo cp -fv borg-zenity-sauvegarde.desktop /usr/share/applications/
sudo cp -fv borg-zenity-gestprofils.desktop /usr/share/applications/
sudo cp -fv borg-gui.sh /opt/borg-zenity/
sudo cp -fv profile-manager.sh /opt/borg-zenity/

# réglages des droits
sudo chmod a+rx /opt/borg-zenity/borg-gui.sh
sudo chmod a+rx /opt/borg-zenity/profile-manager.sh

# Création du fichier de configuration de base
mkdir -vp $HOME/.config/borg/
cp -fv borg-zenity.conf $HOME/.config/borg/

echo "--------------------"
echo "Installation terminée."
echo "Vous pouvez supprimer le dossier «borg-zenity» et le fichier «borg-zenity.zip»"
